org.apache.olingo.odata2.api.annotation.edm

## Enum EdmFunctionImport.ReturnType.Type

- java.lang.Object
- - java.lang.Enum<EdmFunctionImport.ReturnType.Type>
  - - org.apache.olingo.odata2.api.annotation.edm.EdmFunctionImport.ReturnType.Type

- All Implemented Interfaces:
    Serializable, Comparable<EdmFunctionImport.ReturnType.Type>
  Enclosing class:
    EdmFunctionImport.ReturnType

      public static enum EdmFunctionImport.ReturnType.Type
      extends Enum<EdmFunctionImport.ReturnType.Type>

  Concrete return types as specified in OData.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLEX`
    `ENTITY`
    `SIMPLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmFunctionImport.ReturnType.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmFunctionImport.ReturnType.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final EdmFunctionImport.ReturnType.Type SIMPLE

    - #### ENTITY

          public static final EdmFunctionImport.ReturnType.Type ENTITY

    - #### COMPLEX

          public static final EdmFunctionImport.ReturnType.Type COMPLEX

  - ### Method Detail

    - #### values

          public static EdmFunctionImport.ReturnType.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmFunctionImport.ReturnType.Type c : EdmFunctionImport.ReturnType.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmFunctionImport.ReturnType.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.